Asset Manager API
The Asset Manager API provides endpoints for managing, discovering assets, reading user projects and organizations.
This API uses organization and project level roles to authorize requests.
Download OpenAPI specification:
Rolls the metadata of an asset version to a previous version.
The endpoint to roll back metadata to a previous version.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X PATCH \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/metadata/rollback/{sequenceNumber}"
Response example
{ "code": "string", "message": "string", "stackTrace": "string", "details": [ { "errorCode": "string", "errorMessage": "string" } ]}
Read count of files in the asset and version.
Read count of files in the asset and version.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Read count of datasets in the asset and version.
Read count of datasets in the asset and version.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Read multiple assets in bulk with their files and datasets.
Read multiple assets in bulk with their files and datasets.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Request body for "{title}"
Media Type:
application/jsonexample: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]The optional fields to include in the response.
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assets": [ { "assetId": "string", "assetVersion": "string", "label": "string" } ], "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ]}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/batch/get"
Response example
{ "assets": [ { "asset": { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": null, "filePath": null, "description": null, "status": null, "created": null, "createdBy": null, "updated": null, "updatedBy": null, "tags": null, "systemTags": null, "portalMetadata": null, "metadata": null, "systemMetadata": null, "userChecksum": null, "fileSize": null, "downloadURL": null, "isDownloadURLOriginalImage": null, "previewURL": null, "previewDatasetId": null, "primaryType": null, "transformationInputFiles": null, "isPreviewURLOriginalImage": null, "mainFile": null } ], "datasets": [ { "datasetId": null, "name": null, "description": null, "isVisible": null, "workflowName": null, "tags": null, "portalMetadata": null, "primaryType": null, "metadata": null, "systemMetadata": null, "status": null, "systemTags": null, "createdBy": null, "created": null, "updatedBy": null, "updated": null, "filesOrder": null, "vcsMappingId": null } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": null, "movedToTrashBy": null, "movedToTrashAt": null } ], "upstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "downstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "totalFiles": 0 }, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ null ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ null ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ null ], "vcsMappingId": "string" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ] } ], "errors": [ { "assetId": "string", "assetVersion": "string", "label": "string", "errorMessage": "string", "errorCode": "string" } ]}
Create asset.
Create a new asset in a project with primary and custom metadata.
Note that custom metadata needs first to be created in the organization library, through metadata field definition creation.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Request body for "{title}"
Media Type:
application/jsonexample: {"MarketingPitch":"Your marketing pitch","Price":0.5,"Length":200,"ScorePoints":15,"IsReadyForPostProcess":true,"ValidatedByManager":false,"ConnectedToWebPortal":false,"LaunchDate":"2023-09-15T15:42:52.106Z","LastCheckPlan":"2023-09-15T15:42:52.106Z","DateScanned":"2023-09-15T15:42:52.106Z","License":"https://assetfilelicense.com","WebProductPage":"https://productpage.com","RepoSource":"https://github.com/myprojectrepo","Priority":"Low|Medium|High","Certifications":"ISO 4905|ISO 3013","TeamCharter":"Seoul|Shanghai|Jakarta","IndustryType":["Architecture","Industrial","Energy and Oil"],"Sprints":[1,2,3,4,5],"Owner":"5772465996530","Reviewer":"5772465996530","Project Lead":"5772465996530"}The searchable custom metadata.
Metadata fields need to exist in the organization library.
Refer to Metadata field management endpoints.
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "tags": [ "Industry", "CAD" ], "primaryType": "Other | 3D Model | Audio | Video | 2D Asset | Script | Material", "portalMetadata": "string", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-09-15T15:42:52.106Z", "LastCheckPlan": "2023-09-15T15:42:52.106Z", "DateScanned": "2023-09-15T15:42:52.106Z", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": {}, "collections": [ "collection1", "project1/collection2" ], "statusFlowId": "string"}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets"
Response example
{ "assetId": "string", "assetVersion": "string", "datasets": [ { "datasetId": "string", "name": "string", "systemTags": [ "string" ] } ]}
Copy assets from library to a project.
Copy assets from library to a project.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '[ { "assetId": "65325f523a625f7e1acdb197", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "collectionPath": "MainCollection/Collection1", "statusFlowId": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c" }]' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/duplicate/projects/{destinationProjectId}"
Response example
[ { "id": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c", "name": "Importing Electricity Box", "type": "duplication", "progress": { "value": 0.5, "message": "Copying asset to project." }, "state": "prioritized", "results": {}, "failedReason": "Failed to copy the asset." }]
Read library job.
Read library job.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/jobs/duplication/{jobId}"
Response example
{ "id": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c", "name": "Importing Electricity Box", "type": "duplication", "progress": { "value": 0.5, "message": "Copying asset to project." }, "state": "prioritized", "results": {}, "failedReason": "Failed to copy the asset."}
Read library jobs.
Read library jobs.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/jobs/duplication"
Response example
[ { "id": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c", "name": "Importing Electricity Box", "type": "duplication", "progress": { "value": 0.5, "message": "Copying asset to project." }, "state": "prioritized", "results": {}, "failedReason": "Failed to copy the asset." }]
Get library.
Reads a library by id.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}"
Response example
{ "id": "02cc56be-968b-4a38-b06f-16dfb2953d95", "name": "Test Library", "hasCollection": true, "supportedBy": [ "string" ]}
List libraries.
List libraries.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries"
Response example
{ "results": [ { "id": "02cc56be-968b-4a38-b06f-16dfb2953d95", "name": "Test Library", "hasCollection": true, "supportedBy": [ "string" ] } ], "total": 0}
Search assets by criteria.
Searches multiple assets filtering by the specified criteria.
Note: if no labels filter is specified only versions with latest or pending labels will be returned.
Note 2: Asset manager search endpoints work on the basis of the Eventual Consistency model. This means that at times, an update may take a short time to be reflected in search results.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Request body for "{title}"
Media Type:
application/jsonOne of
Variant 1
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576.2}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}The dictionary to include all the entries matching all the criteria.
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":-163.84},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}The dictionary to exclude all the entries matching all the criteria.
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}The dictionary to Include all entries matching any of the criteria.
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","VersionNumber","parentVersionNumber","systemMetadata.fieldName","previewFileUrl","changeLog","parentAssetVersion","datasets.*","datasets.name","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadUrl","files.previewURL"]The fields to be returned.
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "filter": { "includeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576.2 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "excludeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": -163.84 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQueryMinimumMatch": 0, "collections": [ "string" ] }, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "VersionNumber", "parentVersionNumber", "systemMetadata.fieldName", "previewFileUrl", "changeLog", "parentAssetVersion", "datasets.*", "datasets.name", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadUrl", "files.previewURL" ], "pagination": { "token": "string", "limit": 0, "sortingField": "string", "sortingOrder": "string" }}' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/search"
Response example
{ "next": "string", "results": [ { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ null ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ null ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ null ], "vcsMappingId": "string" } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": "string", "movedToTrashBy": "string", "movedToTrashAt": "2024-01-01T00:00:00Z" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ] } ]}
Search asset versions by criteria.
Searches multiple assets filtering by the specified criteria.
Note: Asset manager search endpoints work on the basis of the Eventual Consistency model. This means that at times, an update may take a short time to be reflected in search results.
Supported Query Objects
Exact Match
Search for values that exactly match the field.
Date Range
Search for values where the date field is in a given range.
Wildcard
Search for values with wildcard placeholder characters ('?' for a single character, '*' for zero or more characters).
Regex
Search for values matching a regular expression.
Prefix
Search for values beginning with a given term.
Fuzzy
Search for values similar to the given search term.
Numeric Range
Search for values in a given numeric range.
AND Operator
OR Operator
Search for results that match ONE or MORE of the given query conditions.
NOT Operator
Search for results that do NOT match the given query condition.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Request body for "{title}"
Media Type:
application/jsonexample: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576.2}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}The dictionary to include all the entries matching all the criteria.
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":-163.84},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}The dictionary to exclude all the entries matching all the criteria.
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}The dictionary to Include all entries matching any of the criteria.
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","VersionNumber","parentVersionNumber","systemMetadata.fieldName","previewFileUrl","changeLog","parentAssetVersion","datasets.*","datasets.name","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadUrl","files.previewURL"]The fields to be returned.
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "filter": { "includeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576.2 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "excludeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": -163.84 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQueryMinimumMatch": 0, "collections": [ "string" ] }, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "VersionNumber", "parentVersionNumber", "systemMetadata.fieldName", "previewFileUrl", "changeLog", "parentAssetVersion", "datasets.*", "datasets.name", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadUrl", "files.previewURL" ], "pagination": { "token": "string", "limit": 0, "sortingField": "string", "sortingOrder": "string" }}' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/search"
Response example
{ "next": "string", "results": [ { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ null ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ null ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ null ], "vcsMappingId": "string" } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": "string", "movedToTrashBy": "string", "movedToTrashAt": "2024-01-01T00:00:00Z" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ] } ]}
Read asset files.
Read asset files from a dataset in an asset.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/files"
Response example
{ "results": [ { "datasetIds": [ "string" ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ "string" ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ "string" ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "total": 0, "next": "string", "previous": "string"}
Get asset version.
Return a single asset from a library with on-demand fields.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Query parameters for "{title}"
example: *,name,description,tags,primaryType,portalMetadata,metadata,metadata.yourFieldName,systemMetadata.fieldName,datasets.*,datasets.name,datasets.isVisible,datasets.workflowName,datasets.description,datasets.tags,datasets.portalMetadata,datasets.metadata,datasets.systemMetadata,datasets.primaryType,files.*,files.filePath,files.description,files.tags,files.portalMetadata,files.metadata,files.systemMetadata,files.userChecksum,files.fileSize,files.downloadURL,files.previewURLThe optional fields to include in the response.
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}"
Response example
{ "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": [ "string" ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ "string" ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ "string" ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ "string" ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ "string" ], "vcsMappingId": "string" } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": "string", "movedToTrashBy": "string", "movedToTrashAt": "2024-01-01T00:00:00Z" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ]}
Get download file URL.
Return a download URL for a given file.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/files/{filePath}/download-url"
Response example
{ "url": "https://example.com", "isOriginalImage": true}
Get asset download URLs.
Get all the files download URLs of one or several datasets of the same asset. Note that every asset has by default 2 datasets: The source and the preview. Download URLs are valid for ten minutes only.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}/download-urls"
Response example
{ "results": [ { "datasetId": "string", "filePath": "string", "url": "string", "isOriginalImage": true } ], "total": 0}
List library collections.
Return all collections within a library.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/collections"
Response example
{ "results": [ { "name": "string", "description": "string", "parentPath": "string" } ], "total": 0}
Get the number of assets in a collection.
Return the number of assets in the collection.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Count assets in library.
Get the number of assets in a library.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
List field definitions.
Return metadata field definition from the organization library.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/templates/fields"
Response example
{ "results": [ { "name": "GeometryArea", "displayName": "Geometry Area", "type": "Boolean", "acceptedValues": [ "Area", "Volume" ], "multiSelection": true, "status": "Active|Deleted", "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "fieldOrigin": "User" } ], "next": "string"}
List asset versions labels.
List all labels assigned across all versions of an asset.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/labels"
Response example
{ "assetVersionLabels": [ { "assetVersion": "d3a30060-7213-4f15-a183-2e87267d0c12", "labels": [ { "name": "string", "description": "string", "colour": "string", "isSystemLabel": true, "isUserAssignable": true, "created": "2024-01-01T00:00:00Z", "createdBy": "string", "updated": "2024-01-01T00:00:00Z", "updatedBy": "string" } ], "archivedLabels": [ { "name": "string", "description": "string", "colour": "string", "isSystemLabel": true, "isUserAssignable": true, "created": "2024-01-01T00:00:00Z", "createdBy": "string", "updated": "2024-01-01T00:00:00Z", "updatedBy": "string" } ] } ], "total": 0}
Read labels.
Get all the labels in the organization.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/labels"
Response example
{ "results": [ { "name": "string", "description": "string", "colour": "string", "isSystemLabel": true, "isUserAssignable": true, "created": "2024-01-01T00:00:00Z", "createdBy": "string", "updated": "2024-01-01T00:00:00Z", "updatedBy": "string" } ], "total": 0}
Read multiple assets in bulk with their files and datasets.
Read multiple assets in bulk with their files and datasets.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Request body for "{title}"
Media Type:
application/jsonexample: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]The optional fields to include in the response.
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assets": [ { "assetId": "string", "assetVersion": "string" } ], "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ]}' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/batch/get"
Response example
{ "assets": [ { "asset": { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": null, "filePath": null, "description": null, "status": null, "created": null, "createdBy": null, "updated": null, "updatedBy": null, "tags": null, "systemTags": null, "portalMetadata": null, "metadata": null, "systemMetadata": null, "userChecksum": null, "fileSize": null, "downloadURL": null, "isDownloadURLOriginalImage": null, "previewURL": null, "previewDatasetId": null, "primaryType": null, "transformationInputFiles": null, "isPreviewURLOriginalImage": null, "mainFile": null } ], "datasets": [ { "datasetId": null, "name": null, "description": null, "isVisible": null, "workflowName": null, "tags": null, "portalMetadata": null, "primaryType": null, "metadata": null, "systemMetadata": null, "status": null, "systemTags": null, "createdBy": null, "created": null, "updatedBy": null, "updated": null, "filesOrder": null, "vcsMappingId": null } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": null, "movedToTrashBy": null, "movedToTrashAt": null } ], "upstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "downstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "totalFiles": 0 }, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ null ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ null ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ null ], "vcsMappingId": "string" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ] } ], "errors": [ { "assetId": "string", "assetVersion": "string", "label": "string", "errorMessage": "string", "errorCode": "string" } ]}
List references originating in assetId.
The context query parameter can be used to filter the result.
If context == source, This endpoint lists all the references with assetId and asset version as source assetId and source assetVersion.
If context == target, This endpoint lists all the references with assetId and asset version as target assetId and target assetVersion.
If not context is provided, this endpoint list all the references that has the assetId and assetVersion as its target or source.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/references"
Response example
{ "results": [ { "referenceId": "string", "type": "string", "isValid": true, "source": { "assetId": "string", "assetVersion": "string", "datasetId": "string" }, "target": { "assetId": "string", "assetVersion": "string", "labelName": "string", "datasetId": "string" }, "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "total": 0}
Create a reference .
Asset Manager supports modeling a dependency between two asset versions by using the concept of a reference.
A reference is an oriented link from one source asset version identified by [assetId, assetVersion] pair towards another target asset version.
The target asset version can be identified by the pair [assetId, assetVersion] or by the pair [assetId, labelName].
The first, assetVersion-kind is a "hard-link" as target asset version is hardcoded into reference during creation of the reference.
The second, labeled-kind is a "soft-link" as it represents the target defined as "asset version of an asset identified by assetId and having assigned label labelName".
As such, whenever the labelName is reassigned, the real target asset version is changed to the asset version just receiving the labelName.
This provides for semantics based referencing which will keep up with the assets' evolution.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assetVersion": "string", "target": { "assetId": "string", "assetVersion": "string", "labelName": "string", "datasetId": "string" }, "datasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {}}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/references"
Response example
{ "referenceId": "string"}
Read asset files.
Read asset files from a dataset in an asset.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/files"
Response example
{ "results": [ { "datasetIds": [ "string" ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ "string" ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ "string" ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "total": 0, "next": "string", "previous": "string"}
Create file.
Upload a file to an asset and define metadata. The file needs to belong to one dataset. By default, an asset has a source dataset and a preview dataset.
When using the upload URL returned by this method, it is necessary to include the following header in your HTTP request:
.
This header specifies the type of blob being uploaded to Azure Blob Storage and ensures that the upload operation is properly recognized and processed as a block blob.
x-ms-blob-type: BlockBlobAdditionally, for streamed uploads where the file is uploaded in chunks, it is necessary to include the header.
This ensures that the storage service correctly interprets the data being streamed and processes it without errors.
Content-Type: application/octet-streamFailing to include the required headers may result in errors or unexpected behavior during the upload operation.
Ensure that all HTTP clients interacting with the upload URL are configured to set these headers correctly based on the upload method.
Note: File metadata are not yet displayed on the Unity Asset Manager web. Returned URL is valid for one hour only.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Request body for "{title}"
Media Type:
application/jsonexample: {"Triangle count":"45002","IsRigged":"True","FileExtension":"fbx","BoundingBoxSize (m)":"3.02","CameraType":"Sony X","Lens":"Leica","CapturedTime":"2023-08-16T08:49:12.1674180-04:00","FPS":"29.43","Length (s)":"143","Resolution":"1024","BitDepth":"32","Bitrate":"320 Kbps"}Available field to add searchable custom metadata.
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "filePath": "my-folder/my-file.txt", "description": "File from technical equipment", "tags": [ "Industry", "CAD" ], "portalMetadata": "string", "metadata": { "Triangle count": "45002", "IsRigged": "True", "FileExtension": "fbx", "BoundingBoxSize (m)": "3.02", "CameraType": "Sony X", "Lens": "Leica", "CapturedTime": "2023-08-16T08:49:12.1674180-04:00", "FPS": "29.43", "Length (s)": "143", "Resolution": "1024", "BitDepth": "32", "Bitrate": "320 Kbps" }, "systemMetadata": {}, "userChecksum": "5a828ca5302b19ae8c7a66149f3e1e98", "fileSize": 512, "mainFile": true, "createEvenIfFrozen": true}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/files"
Response example
{ "uploadUrl": "https://example.com"}
Remove files from dataset.
The endpoint to remove files from a dataset/asset.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X DELETE \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "filePaths": [ "string" ]}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/files"
Response example
{ "code": "string", "message": "string", "stackTrace": "string", "details": [ { "errorCode": "string", "errorMessage": "string" } ]}
Create asset version.
Creates a new version of an existing asset. The new asset-version is in Unfrozen state.
If the new asset-version is created from an existing asset-version, the Previews and Sources datasets will be referenced from the base version(no new dataset versions created at this point)
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "parentAssetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "statusFlowId": "string"}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions"
Response example
{ "assetVersion": "2", "parentAssetVersion": "4", "parentVersionNumber": 2}
Create a bulk operation task for an asset version.
Creates a bulk operation that will be performed on a group of asset versions with a project. The bulk operation can be comprised of multiple operations.
An optional flag can be provided to freeze the asset versions once the operations have completed.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assetVersions": [ { "assetId": "65325f523a625f7e1acdb197", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5" } ], "operations": [ { "operationType": "string", "operationArguments": {} } ], "submitOnCompletion": true}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/versions/bulk"
Response example
{ "bulkId": "string"}
List collections.
Return all collections within a project.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/collections"
Response example
{ "results": [ { "name": "string", "description": "string", "parentPath": "string" } ], "total": 0}
Create collection.
Create a collection under a project. The special character '%' is not allowed in the collection name.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Code samples for "{title}":
Request example
curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "parentPath": "RootCollection/ParentCollection", "name": "Trees", "description": "Collection of trees"}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/collections"
[...]
